/**
 * generated by Xtext 2.27.0
 */
package org.eclipse.papyrus.robotics.assertions.languages.stl.stlText;

import org.eclipse.emf.ecore.EFactory;

/**
 * <!-- begin-user-doc -->
 * The <b>Factory</b> for the model.
 * It provides a create method for each non-abstract class of the model.
 * <!-- end-user-doc -->
 * @see org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.StlTextPackage
 * @generated
 */
public interface StlTextFactory extends EFactory
{
  /**
   * The singleton instance of the factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  StlTextFactory eINSTANCE = org.eclipse.papyrus.robotics.assertions.languages.stl.stlText.impl.StlTextFactoryImpl.init();

  /**
   * Returns a new object of class '<em>assignments</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>assignments</em>'.
   * @generated
   */
  assignments createassignments();

  /**
   * Returns a new object of class '<em>assignment</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>assignment</em>'.
   * @generated
   */
  assignment createassignment();

  /**
   * Returns a new object of class '<em>expression</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>expression</em>'.
   * @generated
   */
  expression createexpression();

  /**
   * Returns a new object of class '<em>expression start</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>expression start</em>'.
   * @generated
   */
  expression_start createexpression_start();

  /**
   * Returns a new object of class '<em>expression cont</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>expression cont</em>'.
   * @generated
   */
  expression_cont createexpression_cont();

  /**
   * Returns a new object of class '<em>real expression</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>real expression</em>'.
   * @generated
   */
  real_expression createreal_expression();

  /**
   * Returns a new object of class '<em>real expression nl</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>real expression nl</em>'.
   * @generated
   */
  real_expression_nl createreal_expression_nl();

  /**
   * Returns a new object of class '<em>num literal</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>num literal</em>'.
   * @generated
   */
  num_literal createnum_literal();

  /**
   * Returns a new object of class '<em>interval</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>interval</em>'.
   * @generated
   */
  interval createinterval();

  /**
   * Returns a new object of class '<em>interval Time</em>'.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return a new object of class '<em>interval Time</em>'.
   * @generated
   */
  intervalTime createintervalTime();

  /**
   * Returns the package supported by this factory.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @return the package supported by this factory.
   * @generated
   */
  StlTextPackage getStlTextPackage();

} //StlTextFactory
